# CORE [![Codacy Badge](https://api.codacy.com/project/badge/Grade/d94eb0244ade4510a106b4af76077a92)](https://www.codacy.com/app/blakeharnden/core?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=coreemu/core&amp;utm_campaign=Badge_Grade)

CORE: Common Open Research Emulator

Copyright (c)2005-2019 the Boeing Company.

See the LICENSE file included in this distribution.

## About

The Common Open Research Emulator (CORE) is a tool for emulating
networks on one or more machines. You can connect these emulated
networks to live networks. CORE consists of a GUI for drawing
topologies of lightweight virtual machines, and Python modules for
scripting network emulation.

## Documentation and Examples

* Documentation hosted on GitHub
    * <http://coreemu.github.io/core/>
* Basic Script Examples
    * [Examples](daemon/examples/api)
* Custom Service Example
    * [sample.py](daemon/examples/myservices/sample.py)
* Custom Emane Model Example
    * [examplemodel.py](daemon/examples/myemane/examplemodel.py)

## Support

We are leveraging Discord for persistent chat rooms, voice chat, and
GitHub integration. This allows for more dynamic conversations and the
capability to respond faster. Feel free to join us at the link below.
<https://discord.gg/AKd7kmP>

## Building CORE

See [CORE Installation](http://coreemu.github.io/core/install.html) for detailed build instructions.

### Running CORE

See [Using the CORE GUI](http://coreemu.github.io/core/usage.html) for more details on running CORE.
